10 CLS
20 FONT#2,1
30 PRINT TAB(8); " The OPTION Command"
40 FONT#1,1
50 PRINT
60 PRINT TAB(5); "OPTION BASE 0"
70 PRINT TAB(5); "or"
80 PRINT TAB(5); "OPTION BASE 1"
90 PRINT
100 PRINT TAB(5); "Sets the lowest value for array subscripts to either 0 or 1. The"
110 PRINT TAB(5); " default is 0. This must be used before any arrays are declared."
120 PRINT: PRINT
130 PRINT TAB(5); "OPTION ERROR"
140 PRINT TAB(5); "CONTINUE"
150 PRINT TAB(5); "or"
160 PRINT TAB(5); "OPTION ERROR ABORT"
170 PRINT
180 PRINT TAB(5); "Set the treatment for errors in file input/output. The option"
190 PRINT TAB(5); "CONTINUE will cause MMBasic to ignore file related errors. The"
200 PRINT TAB(5); "program must check the variale MM.ERRNO to determine if and"
210 PRINT TAB(5); "what error has occured. The option ABORT sets the normal behaviuor"
220 PRINT TAB(5); "(ie:- stop the program and print an error message. The default"
230 PRINT TAB(5); "is ABORT. Note that this option only relates to errors reading"
240 PRINT TAB(5); "or writing from the SD card, it does not affect the handling"
250 PRINT TAB(5); "of syntax and other program errors."
260 PRINT
270 PRINT TAB(5); "OPTION PROMT string$"
280 PRINT
290 PRINT TAB(5); "Set the command prompt to the contents of 'string$' (which"
300 PRINT TAB(5); "can also be an expression which will be evaluated when the prompt"
310 PRINT TAB(5); "is printed.)"
320 PRINT TAB(5); " Press 'ENTER' to continue"
330 a$=INKEY$:IF a$="" THEN GOTO 330
340 IF a$=CHR$(&H0D) THEN GOTO 350
350 PRINT TAB(5); "For Example"
360 PRINT TAB(6); "   OPTION PROMPT 'OK'"
370 PRINT TAB(5); "or OPTION PROMPT TIME$ + ':'"
380 PRINT TAB(5); "or OPTION PROMPT CWD$ +':'"
390 PRINT
400 PRINT TAB(5); "Maximum length of the prompt string is 48 characters. The prompt"
410 PRINT TAB(5); "is reset to the default ('>') on power up but you can automatically"
420 PRINT TAB(5); "set it by saving the following example program as 'autorun.bas' on"
430 PRINT TAB(5); "the internal flash driveA:"
440 PRINT TAB(5); "                          10 OTION PROMPT 'My prompt:'"
450 PRINT TAB(5); "                          20 NEW"
460 PRINT
470 PRINT TAB(5); " OPTION Fnn string$"
480 PRINT
490 PRINT TAB(5); " Sets the prgrammable function keys 'Fnn' to the contents of'string$'"
500 PRINT TAB(5); "'Fnn' is the function key F1 to F12. Maximum string length is 12"
510 PRINT TAB(5); "characters. 'string$' can also be an expression which will be evaluated"
520 PRINT TAB(5); "at the time of running the OPTION command. This is most often used"
530 PRINT TAB(5); "to append the ENTER key (chr$(13)), or double quotes (chr$(34))."
540 PRINT TAB(5); "  For Example:-"
550 PRINT TAB(5); "                OPTION F1 'RUN' + CHR$(13)"
560 PRINT TAB(5); "                OPTION F6 'SAVE' + CHR$(34)"
570 PRINT TAB(5); "                OPTION F10 'ENDIF'"
580 PRINT TAB(5); " Normally these commands are included in an AUTORUN.BAS file (see"
590 PRINT TAB(5); "OPTION PROMPT for an Example."
600 PRINT: PRINT: PRINT
610 PRINT "Press `ESC' to return to the search";
620 a$=INKEY$:IF a$="" THEN GOTO 620
630 IF a$=CHR$(27) THEN RUN "help"
